summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Binh Nguyen2010-12-13 06:32:06 +0100
committer Robby Workman2010-12-13 06:32:06 +0100
commit15c8c95cf41906d79d5abd7f6b06f2e4312d9dcf (patch)
tree9f3cd54e772de2324d65a7cedec30faaa1bd863d /multimedia
parenta12a4843fa9972b1a3993c7d142fc21715588030 (diff)
downloadslackbuilds-15c8c95cf41906d79d5abd7f6b06f2e4312d9dcf.tar.gz
multimedia/realplayer: Enabled mozilla plugin
This commit also includes better error/version checking for cases where upstream bumps the version without renaming the 'source' tarball. No idea how often that occurs, but based on the previous script, it's happened at least once... :) Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/realplayer/realplayer.SlackBuild36
1 files changed, 28 insertions, 8 deletions
diff --git a/multimedia/realplayer/realplayer.SlackBuild b/multimedia/realplayer/realplayer.SlackBuild
index 47f554354d..3a5f5e2e1f 100644
--- a/multimedia/realplayer/realplayer.SlackBuild
+++ b/multimedia/realplayer/realplayer.SlackBuild
@@ -1,5 +1,7 @@
#!/bin/sh
+# Slackware build script for realplayer
+
# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
# All rights reserved.
#
@@ -22,7 +24,7 @@
PRGNAM=realplayer
VERSION=11.0.2.1744 # Ephemeral version
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
ARCH=i386
@@ -32,15 +34,26 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+set -eu
+
# Get the real version
-REAL_VER=$(ar p RealPlayer11GOLD.deb control.tar.gz | tar xzO ./control | grep Version | cut -d\ -f2 | cut -d- -f1)
-if [ "$VERSION" != "$REAL_VER" ]; then
- printf "\nThis script was made for $VERSION, but you seem to have $REAL_VER.\n\n"
- exit 1
+# Check to make sure we're packaging the same version that this script
+# was written to handle:
+_REALVERS=$(ar p RealPlayer11GOLD.deb control.tar.gz | tar xzO ./control | grep Version | cut -d\ -f2 | cut -d- -f1)
+if [ ! "$(printf ${_REALVERS} | tr ' ' _)" = "$(printf $VERSION)" ]; then
+ echo
+ echo "This build script was written for a different version of "
+ echo "realplayer than you have downloaded. This is probably due"
+ echo "to Real changing the upstream tarball - they don't have"
+ echo "versioned tarballs - and it's almost certainly nothing to be"
+ echo "concerned about. However, if this package doesn't build or"
+ echo "work as expected, contact the SlackBuilds.org project on our"
+ echo "users mailing list."
+ echo
+ sleep 5
fi
-
-set -eu
+VERSION=${_REALVERS}
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -57,7 +70,7 @@ find . \
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# Remove stuff we don't need
+# Remove unnecessary stuff
rm rules.log
# Link the main binary to /usr/bin
@@ -72,6 +85,13 @@ ln -sf /opt/real/RealPlayer/share/realplay.desktop $PKG/usr/share/applications/r
mkdir -p $PKG/usr/share/pixmaps
ln -sf /opt/real/RealPlayer/share/realplay.png $PKG/usr/share/pixmaps/realplay.png
+# Enable mozilla plugins
+mkdir -p $PKG/usr/lib/mozilla/plugins
+( cd $PKG/usr/lib/mozilla/plugins
+ ln -sf /opt/real/RealPlayer/mozilla/nphelix.xpt .
+ ln -sf /opt/real/RealPlayer/mozilla/nphelix.so .
+)
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
mv $PKG/usr/share/doc/realplay/* $PKG/usr/doc/$PRGNAM-$VERSION
rm -rf $PKG/usr/share/doc